> For the complete documentation index, see [llms.txt](https://docs.secoda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secoda.co/integrations/data-visualization-tools/lightdash.md).

# Lightdash

An overview of the Lightdash integration with Secoda

{% content-ref url="/pages/d5jBzmOlABQm89xtIlkg" %}
[Lightdash Metadata Extracted](/integrations/data-visualization-tools/lightdash/lightdash-metadata-extracted.md)
{% endcontent-ref %}

## Getting started with Lightdash <a href="#h_b1c101d905" id="h_b1c101d905"></a>

There are 2 steps to get started using Lightdash with Secoda:

1. Get your host from Lightdash. This is the base URL for your Lightdash instance. For example `https://lightdash.secoda.co` or `https://app.lightdash.cloud`.
2. Create an Access Token following this guide <https://docs.lightdash.com/references/personal_tokens>

**Connecting Lightdash to Secoda**

After retrieving your host and token the next step is to connect to Secoda:

1. In the Secoda App, select **Add Integration** on the [Integrations page](https://app.secoda.co/integrations/browse)
2. Search for and select **Lightdash**
3. Enter your host and Access Token
4. Click **Connect**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.secoda.co/integrations/data-visualization-tools/lightdash.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
